trans = read.csv('readability-per-code-fragment.csv', header=TRUE,  sep="\t")

print.result =function(column, filename) {  
  print(paste("-------------------------------", sep=""))
    
  trans.subset = trans[trans[[column]],c("user","sid",column)]
  aggr= aggregate(sid~user, data=trans.subset, FUN=function(x){length(unique(x))});
  aggr=aggr[order(-aggr$sid),]; 
   
  data.for.icon=data.frame(participants=1:length(aggr$sid), code.fragments=aggr$sid);
  
  participants=aggr$user[order(aggr$user)];   
  
  result = list(transformations=column, 
    nbr.fragments=length(unique(trans.subset$sid)), 
  	nbr.participants=length(unique(trans.subset$user)), 
  	nbr.instances=dim(trans.subset)[1],
  	aggregate=aggr,
  	data.for.icon=data.for.icon,
  	participants=participants);
  	
  write.table(data.for.icon, file = filename, sep = " ", row.names=FALSE, col.names=FALSE, quote=FALSE)
  print(result);
  
  return(result);
}

		
data.6.4.1=print.result("indent.consistently", "icon-data-indent-consistently.csv")
data.6.4.2=print.result("treated.line.as.separate", "icon-data-treated-line-as-separate.csv")
data.6.4.3=print.result("spacious", "icon-data-spacious.csv")
data.6.4=print.result("formatting", "icon-data-formatting.csv")	
