#!/usr/bin/perl -w

use strict;
use warnings;
use Fcntl qw(:flock :seek);
use LWP::Simple;

my $transformation=0;
my $sid=0;
my $uid=0;
my $output = "selection-presentation-transformations-keep-first-line.csv";
open(OUT, ">$output");

my $file = "selection-presentation-transformations.csv";

open(DAT, $file) || die("Could not open file!");

my $firstLine = <DAT>;  #remove first line
print OUT $firstLine;

foreach my $line (<DAT>) {
    chomp $line;
    (my $rowNumber, my $code, my $uid, my $sid, 
     my $transformationType, my $transformation, my $transformationSelectionNode,
     my $originalLine, my $summaryLine, my $rest) = split(/\t/,$line);
    
    ## keep first line
    if( $transformation eq "select method declaration" ||
	   $transformation eq "keep method body"||
	$transformation eq "keep method signature") {	

	print "$uid\t$sid\t$transformation\t$originalLine\t$summaryLine\n";

	if (index($originalLine, '-') != -1) {
	    my @lineNumbers = split('-',$originalLine);
	    print "$lineNumbers[0]\t$lineNumbers[1]\n";
	    my $i=$lineNumbers[0]; 
	    print OUT "$rowNumber\t$code\t$uid\t$sid\t$transformationType\t$transformation\t$transformationSelectionNode\t$i\t$summaryLine\t$rest\n";
	} else {
	    print OUT "$line\n";
	}
    } else {
	print OUT "$line\n";
    }

}

close(OUT);
