trans = read.csv('selection-presentation-transformations-keep-first-line.csv', header=TRUE,  sep="\t")

trans$transformation=as.character(trans$transformation)


filter.trans =function(param.trans.match, filename) {     
  trans.subset = trans[which(trans$transformation %in% param.trans.match),c("user","sid","original.line.number","transformation")] 
  return(trans.subset);
}

intersect.methods=function(trans1,trans2) {
	trans1.pasted= paste(trans1$sid, trans1$original.line.number)
	trans2.pasted= paste(trans2$sid, trans2$original.line.number)	
	intersect(trans1.pasted, trans2.pasted)
}


data.keep.body=c("keep method body");
data.keep.signature=c("keep method signature");
data.select=c("select method declaration");

trans.body = filter.trans(data.keep.body);
trans.signature = filter.trans(data.keep.signature);
trans.methods = filter.trans(data.select);

#checking
intersect.methods(trans.body,trans.signature)

m1=merge(trans.body,trans.signature,by=c("user","original.line.number","sid"),all=TRUE, suffixes = c(".body",".sig"),);
m2=merge(m1,trans.methods,by=c("user","original.line.number","sid"),all=TRUE);
write.table(m2,file="methods.csv",sep="\t",row.names=FALSE,col.names=TRUE,quote=FALSE);

