trans=read.csv('methods2.csv', header=TRUE,  sep="\t")

print.result =function(param.trans.match, filename) {  
  print(paste("-------------------------------", sep=""))
    
  trans.subset = trans[which(trans$transformation %in% param.trans.match),c("user","sid","transformation")]
  aggr= aggregate(sid~user, data=trans.subset, FUN=function(x){length(unique(x))});
  aggr=aggr[order(-aggr$sid),];  
  data.for.icon=data.frame(participants=1:length(aggr$sid), code.fragments=aggr$sid);
  participants=aggr$user[order(aggr$user)];   
  
  result = list(transformations=param.trans.match, 
    nbr.fragments=length(unique(trans.subset$sid)), 
  	nbr.participants=length(unique(trans.subset$user)), 
  	nbr.instances=dim(trans.subset)[1],
  	aggregate=aggr,
  	data.for.icon=data.for.icon,
  	participants=participants);
  	
  write.table(data.for.icon, file = filename, sep = " ", row.names=FALSE, col.names=FALSE, quote=FALSE)
  print(result);
  
  return(result);
}

print.result(c("body only"),"icon-data-method-body-only.csv");
print.result(c("signature only"),"icon-data-method-signature-only.csv");
print.result(c("both"),"icon-data-method-body-and-signature.csv");
print.result(c("none"),"icon-data-method-none.csv");