trans = read.csv('../selection-presentation-transformations.csv', header=TRUE,  sep="\t")

trans$transformation=as.character(trans$transformation)


print.result =function(param.trans.match, filename) {  
  print(paste("-------------------------------", sep=""))
    
  trans.subset = trans[which(trans$transformation %in% param.trans.match),c("user","sid","transformation")]
  aggr= aggregate(sid~user, data=trans.subset, FUN=function(x){length(unique(x))});
  aggr=aggr[order(-aggr$sid),];  
  data.for.icon=data.frame(participants=1:length(aggr$sid), code.fragments=aggr$sid);
  participants=aggr$user[order(aggr$user)];   
  
  result = list(transformations=param.trans.match, 
    nbr.fragments=length(unique(trans.subset$sid)), 
  	nbr.participants=length(unique(trans.subset$user)), 
  	nbr.instances=dim(trans.subset)[1],
  	aggregate=aggr,
  	data.for.icon=data.for.icon,
  	participants=participants);
  	
  write.table(data.for.icon, file = filename, sep = " ", row.names=FALSE, col.names=FALSE, quote=FALSE)
  print(result);
  
  return(result);
}

# keep override
data.keep.override=c("keep @Override");
print.result(data.keep.override, "icon-data-keep-override.csv")

# keep method body
data.keep.body=c("keep method body");
print.result(data.keep.body, "icon-data-keep-method-body.csv");

# keep method signature
data.keep.signature=c("keep method signature");
print.result(data.keep.signature, "icon-data-keep-method-signature.csv");

# keep method selection
data.select=c("select method declaration");
print.result(data.select, "icon-data-select-method.csv");




